// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/multi_order_mobile.proto

package order_mobile

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SaveMultiOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// order.Order = 0 - CREATE, order.Order > 0 - UPDATE
	// ----------------------------------------------
	// CREATE mandatory fields:
	// MultiOrder:
	//    - ProductProcess
	//    - ProductType
	//    - MultiOrderCondition
	//    - Audit
	// Order
	//    - Product
	//    - OrderCondition (alternatives, consulting)
	// ----------------------------------------------
	// UPDATE possible fields:
	// MultiOrder:
	//  - Status
	MultiOrder *order.MultiOrder `protobuf:"bytes,1,opt,name=multi_order,json=multiOrder,proto3" json:"multi_order,omitempty"`
	// Deprecated: Do not use.
	Orders []*order.Order `protobuf:"bytes,2,rep,name=orders,proto3" json:"orders,omitempty"`
}

func (x *SaveMultiOrderRequest) Reset() {
	*x = SaveMultiOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveMultiOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveMultiOrderRequest) ProtoMessage() {}

func (x *SaveMultiOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveMultiOrderRequest.ProtoReflect.Descriptor instead.
func (*SaveMultiOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{0}
}

func (x *SaveMultiOrderRequest) GetMultiOrder() *order.MultiOrder {
	if x != nil {
		return x.MultiOrder
	}
	return nil
}

// Deprecated: Do not use.
func (x *SaveMultiOrderRequest) GetOrders() []*order.Order {
	if x != nil {
		return x.Orders
	}
	return nil
}

type SaveMultiOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveMultiOrderResponse) Reset() {
	*x = SaveMultiOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveMultiOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveMultiOrderResponse) ProtoMessage() {}

func (x *SaveMultiOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveMultiOrderResponse.ProtoReflect.Descriptor instead.
func (*SaveMultiOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{1}
}

func (x *SaveMultiOrderResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

//----------------
// Reject MultiOrder
//----------------
// Validation:
//  - status must be Active
type RejectMultiOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *RejectMultiOrderRequest) Reset() {
	*x = RejectMultiOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectMultiOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectMultiOrderRequest) ProtoMessage() {}

func (x *RejectMultiOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectMultiOrderRequest.ProtoReflect.Descriptor instead.
func (*RejectMultiOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{2}
}

func (x *RejectMultiOrderRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type RejectMultiOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RejectMultiOrderResponse) Reset() {
	*x = RejectMultiOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectMultiOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectMultiOrderResponse) ProtoMessage() {}

func (x *RejectMultiOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectMultiOrderResponse.ProtoReflect.Descriptor instead.
func (*RejectMultiOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{3}
}

//----------------
// Done MultiOrder
//----------------
// Validation:
//  - status must be Active
type DoneMultiOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DoneMultiOrderRequest) Reset() {
	*x = DoneMultiOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiOrderRequest) ProtoMessage() {}

func (x *DoneMultiOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiOrderRequest.ProtoReflect.Descriptor instead.
func (*DoneMultiOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{4}
}

func (x *DoneMultiOrderRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DoneMultiOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DoneMultiOrderResponse) Reset() {
	*x = DoneMultiOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiOrderResponse) ProtoMessage() {}

func (x *DoneMultiOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_multi_order_mobile_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiOrderResponse.ProtoReflect.Descriptor instead.
func (*DoneMultiOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP(), []int{5}
}

var File_v1_order_mobile_multi_order_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_multi_order_mobile_proto_rawDesc = []byte{
	0x0a, 0x28, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f,
	0x62, 0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d,
	0x6f, 0x62, 0x69, 0x6c, 0x65, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76, 0x31,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x6d, 0x75,
	0x6c, 0x74, 0x69, 0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f,
	0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x73, 0x75,
	0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x95, 0x01, 0x0a, 0x15, 0x53, 0x61, 0x76, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3f, 0x0a, 0x0b, 0x6d,
	0x75, 0x6c, 0x74, 0x69, 0x5f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x52, 0x0a, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x06,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x02, 0x18, 0x01, 0x52, 0x06, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x73, 0x4a, 0x04, 0x08, 0x03, 0x10, 0x64, 0x22, 0x28, 0x0a, 0x16, 0x53, 0x61, 0x76,
	0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x29, 0x0a, 0x17, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x1a,
	0x0a, 0x18, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x27, 0x0a, 0x15, 0x44, 0x6f,
	0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x18, 0x0a, 0x16, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xd2, 0x0d,
	0x0a, 0x11, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x6b, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x30, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x73, 0x0a, 0x19, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x34, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7f, 0x0a, 0x1f, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43,
	0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69,
	0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7d, 0x0a, 0x1e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75,
	0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43,
	0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x39, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d,
	0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12,
	0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74,
	0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x2e, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42,
	0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6b, 0x0a,
	0x15, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69,
	0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x76, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x64, 0x0a, 0x0d, 0x47, 0x65, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x67, 0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x0e, 0x53, 0x61, 0x76, 0x65,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f,
	0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x75, 0x0a, 0x0e, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x44, 0x6f,
	0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e,
	0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7b, 0x0a, 0x10, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x32, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f,
	0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x33,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63,
	0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x70, 0x70, 0x6c,
	0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75,
	0x70, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x42, 0x59, 0x0a, 0x1c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70,
	0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69,
	0x6c, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73,
	0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_mobile_multi_order_mobile_proto_rawDescOnce sync.Once
	file_v1_order_mobile_multi_order_mobile_proto_rawDescData = file_v1_order_mobile_multi_order_mobile_proto_rawDesc
)

func file_v1_order_mobile_multi_order_mobile_proto_rawDescGZIP() []byte {
	file_v1_order_mobile_multi_order_mobile_proto_rawDescOnce.Do(func() {
		file_v1_order_mobile_multi_order_mobile_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_mobile_multi_order_mobile_proto_rawDescData)
	})
	return file_v1_order_mobile_multi_order_mobile_proto_rawDescData
}

var file_v1_order_mobile_multi_order_mobile_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_order_mobile_multi_order_mobile_proto_goTypes = []interface{}{
	(*SaveMultiOrderRequest)(nil),                        // 0: fcp.order.v1.order_mobile.SaveMultiOrderRequest
	(*SaveMultiOrderResponse)(nil),                       // 1: fcp.order.v1.order_mobile.SaveMultiOrderResponse
	(*RejectMultiOrderRequest)(nil),                      // 2: fcp.order.v1.order_mobile.RejectMultiOrderRequest
	(*RejectMultiOrderResponse)(nil),                     // 3: fcp.order.v1.order_mobile.RejectMultiOrderResponse
	(*DoneMultiOrderRequest)(nil),                        // 4: fcp.order.v1.order_mobile.DoneMultiOrderRequest
	(*DoneMultiOrderResponse)(nil),                       // 5: fcp.order.v1.order_mobile.DoneMultiOrderResponse
	(*order.MultiOrder)(nil),                             // 6: fcp.order.v1.order.MultiOrder
	(*order.Order)(nil),                                  // 7: fcp.order.v1.order.Order
	(*order.ListMultiOrderProcessRequest)(nil),           // 8: fcp.order.v1.order.ListMultiOrderProcessRequest
	(*order.ListMultiOrderProcessTypeRequest)(nil),       // 9: fcp.order.v1.order.ListMultiOrderProcessTypeRequest
	(*order.ListMultiOrderDeliveryConditionRequest)(nil), // 10: fcp.order.v1.order.ListMultiOrderDeliveryConditionRequest
	(*order.ListMultiOrderPaymentConditionRequest)(nil),  // 11: fcp.order.v1.order.ListMultiOrderPaymentConditionRequest
	(*order.ListMultiOrderCategoryRequest)(nil),          // 12: fcp.order.v1.order.ListMultiOrderCategoryRequest
	(*order.ListMultiOrderBrandRequest)(nil),             // 13: fcp.order.v1.order.ListMultiOrderBrandRequest
	(*order.ListMultiOrderProductRequest)(nil),           // 14: fcp.order.v1.order.ListMultiOrderProductRequest
	(*order.ListMultiOrderQuantityTypeRequest)(nil),      // 15: fcp.order.v1.order.ListMultiOrderQuantityTypeRequest
	(*order.ListMultiOrderNamesRequest)(nil),             // 16: fcp.order.v1.order.ListMultiOrderNamesRequest
	(*order.GetMultiOrderRequest)(nil),                   // 17: fcp.order.v1.order.GetMultiOrderRequest
	(*order.ListMultiOrderRequest)(nil),                  // 18: fcp.order.v1.order.ListMultiOrderRequest
	(*order.ListSupplierInfoRequest)(nil),                // 19: fcp.order.v1.order.ListSupplierInfoRequest
	(*order.DictResponse)(nil),                           // 20: fcp.order.v1.order.DictResponse
	(*order.ListMultiOrderNamesResponse)(nil),            // 21: fcp.order.v1.order.ListMultiOrderNamesResponse
	(*order.GetMultiOrderResponse)(nil),                  // 22: fcp.order.v1.order.GetMultiOrderResponse
	(*order.ListMultiOrderResponse)(nil),                 // 23: fcp.order.v1.order.ListMultiOrderResponse
	(*order.ListSupplierInfoResponse)(nil),               // 24: fcp.order.v1.order.ListSupplierInfoResponse
}
var file_v1_order_mobile_multi_order_mobile_proto_depIdxs = []int32{
	6,  // 0: fcp.order.v1.order_mobile.SaveMultiOrderRequest.multi_order:type_name -> fcp.order.v1.order.MultiOrder
	7,  // 1: fcp.order.v1.order_mobile.SaveMultiOrderRequest.orders:type_name -> fcp.order.v1.order.Order
	8,  // 2: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProcess:input_type -> fcp.order.v1.order.ListMultiOrderProcessRequest
	9,  // 3: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProcessType:input_type -> fcp.order.v1.order.ListMultiOrderProcessTypeRequest
	10, // 4: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderDeliveryCondition:input_type -> fcp.order.v1.order.ListMultiOrderDeliveryConditionRequest
	11, // 5: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderPaymentCondition:input_type -> fcp.order.v1.order.ListMultiOrderPaymentConditionRequest
	12, // 6: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderCategory:input_type -> fcp.order.v1.order.ListMultiOrderCategoryRequest
	13, // 7: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderBrand:input_type -> fcp.order.v1.order.ListMultiOrderBrandRequest
	14, // 8: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProduct:input_type -> fcp.order.v1.order.ListMultiOrderProductRequest
	15, // 9: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderQuantityType:input_type -> fcp.order.v1.order.ListMultiOrderQuantityTypeRequest
	16, // 10: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderNames:input_type -> fcp.order.v1.order.ListMultiOrderNamesRequest
	17, // 11: fcp.order.v1.order_mobile.MultiOrderService.GetMultiOrder:input_type -> fcp.order.v1.order.GetMultiOrderRequest
	18, // 12: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrder:input_type -> fcp.order.v1.order.ListMultiOrderRequest
	0,  // 13: fcp.order.v1.order_mobile.MultiOrderService.SaveMultiOrder:input_type -> fcp.order.v1.order_mobile.SaveMultiOrderRequest
	4,  // 14: fcp.order.v1.order_mobile.MultiOrderService.DoneMultiOrder:input_type -> fcp.order.v1.order_mobile.DoneMultiOrderRequest
	2,  // 15: fcp.order.v1.order_mobile.MultiOrderService.RejectMultiOrder:input_type -> fcp.order.v1.order_mobile.RejectMultiOrderRequest
	19, // 16: fcp.order.v1.order_mobile.MultiOrderService.ListSupplierInfo:input_type -> fcp.order.v1.order.ListSupplierInfoRequest
	20, // 17: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProcess:output_type -> fcp.order.v1.order.DictResponse
	20, // 18: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProcessType:output_type -> fcp.order.v1.order.DictResponse
	20, // 19: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	20, // 20: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	20, // 21: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderCategory:output_type -> fcp.order.v1.order.DictResponse
	20, // 22: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderBrand:output_type -> fcp.order.v1.order.DictResponse
	20, // 23: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderProduct:output_type -> fcp.order.v1.order.DictResponse
	20, // 24: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderQuantityType:output_type -> fcp.order.v1.order.DictResponse
	21, // 25: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrderNames:output_type -> fcp.order.v1.order.ListMultiOrderNamesResponse
	22, // 26: fcp.order.v1.order_mobile.MultiOrderService.GetMultiOrder:output_type -> fcp.order.v1.order.GetMultiOrderResponse
	23, // 27: fcp.order.v1.order_mobile.MultiOrderService.ListMultiOrder:output_type -> fcp.order.v1.order.ListMultiOrderResponse
	1,  // 28: fcp.order.v1.order_mobile.MultiOrderService.SaveMultiOrder:output_type -> fcp.order.v1.order_mobile.SaveMultiOrderResponse
	5,  // 29: fcp.order.v1.order_mobile.MultiOrderService.DoneMultiOrder:output_type -> fcp.order.v1.order_mobile.DoneMultiOrderResponse
	3,  // 30: fcp.order.v1.order_mobile.MultiOrderService.RejectMultiOrder:output_type -> fcp.order.v1.order_mobile.RejectMultiOrderResponse
	24, // 31: fcp.order.v1.order_mobile.MultiOrderService.ListSupplierInfo:output_type -> fcp.order.v1.order.ListSupplierInfoResponse
	17, // [17:32] is the sub-list for method output_type
	2,  // [2:17] is the sub-list for method input_type
	2,  // [2:2] is the sub-list for extension type_name
	2,  // [2:2] is the sub-list for extension extendee
	0,  // [0:2] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_multi_order_mobile_proto_init() }
func file_v1_order_mobile_multi_order_mobile_proto_init() {
	if File_v1_order_mobile_multi_order_mobile_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveMultiOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveMultiOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectMultiOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectMultiOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_multi_order_mobile_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_multi_order_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_multi_order_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_multi_order_mobile_proto_depIdxs,
		MessageInfos:      file_v1_order_mobile_multi_order_mobile_proto_msgTypes,
	}.Build()
	File_v1_order_mobile_multi_order_mobile_proto = out.File
	file_v1_order_mobile_multi_order_mobile_proto_rawDesc = nil
	file_v1_order_mobile_multi_order_mobile_proto_goTypes = nil
	file_v1_order_mobile_multi_order_mobile_proto_depIdxs = nil
}
